Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.meta
Class QueryMetaData

    java.lang.Object
      |
      +--kodo.meta.QueryMetaData

All Implemented Interfaces:
  SourceTracker

public class QueryMetaData
extends Object
implements SourceTracker

Holds metadata about named queries.

Information stored in this instance gets transfered to new `Query` instances.

Constructor Summary
`QueryMetaData(String name, KodoQuery q)`
`QueryMetaData(String cls, String name)` Construct a `QueryMetaData` with the given candidate class and name.

Method Summary
`String` | `getCandidateClassName()` Return the class if any which this query is running on.
`long` | `getEndIndex()` Return the end index for `Query`'s range.
`String` | `getFilter()` Return the filter for queries generated from this instance.
`String` | `getGrouping()` Return the grouping statement for the
`Boolean` | `getIgnoreCache()` Corresponds to `Query.getIgnoreCache()`.
`String` | `getImports()` Return the import statement for generated Query instances.
`boolean` | `getIncludeSubclasses()` Return whether generated queries includes subclasses.
`String` | `getLanguage()` Return the query language.
`String` | `getName()` Return the name for this query.
`String` | `getOrdering()` Return the ordering string.
`String` | `getParameters()` Return the parameters statement for generated Query instances.
`String` | `getQueryString()` The full query string, or null if none.
`QueryMetaDataRepository` | `getRepository()` The repository this metadata belongs to.
`String` | `getResult()` Return the result statement for the given Query.
`Class` | `getResultClass()` Return the import statement for generated Query instances.
`File` | `getSourceFile()`
`long` | `getStartIndex()` Return the start index for `Query`'s range.
`String` | `getTrackedResourceName()`
`Boolean` | `getUnique()` Return whether the query expects unique results.
`String` | `getVariables()` Return the variables statement for generated Query instances.
`void` | `setFilter(String filter)` Set the query filter for queries generated from this instance.
`void` | `setFrom(KodoQuery query)` Initialize this instance from the values held in the specified `KodoQuery`.
`void` | `setGrouping(String grouping)` Corresponds to `Query#setGrouping`.
`void` | `setIgnoreCache(boolean ignore)` Corresponds to `Query.setIgnoreCache(boolean)`.
`void` | `setImports(String imports)` Corresponds to `Query.declareImports(java.lang.String)`.
`void` | `setIncludeSubclasses(boolean include)` Indicate whether queries generated should include subclasses.
`void` | `setInto(KodoQuery query)` Set query template information into the given concrete query instance.
`void` | `setLanguage(String language)` Set the language for this query.
`void` | `setOrdering(String ordering)` Corresponds to `Query.setOrdering(java.lang.String)`.
`void` | `setParameters(String parameters)` Corresponds to `Query.declareImports(java.lang.String)`.
`void` | `setQueryString(String query)` The full query string, or null if none.
`void` | `setRange(long start, long end)` Corresponds to `Query#setRange`.
`void` | `setRepository(QueryMetaDataRepository repos)` The repository this metadata belongs to.
`void` | `setResult(String result)` Corresponds to `Query#setResult`.
`void` | `setResultClass(Class cls)` Corresponds to `Query#setResultClass`.
`void` | `setSourceFile(File file)`
`void` | `setUnique(boolean unique)` Corresponds to `Query#setUnique`.
`void` | `setVariables(String variables)` Corresponds to `Query.declareImports(java.lang.String)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryMetaData

    public QueryMetaData(String cls,
                         String name)

  Construct a `QueryMetaData` with the given candidate class and name. The candidate class can be null.

### QueryMetaData

    public QueryMetaData(String name,
                         KodoQuery q)

Method Detail

### getName

    public String getName()

  Return the name for this query.

### getCandidateClassName

    public String getCandidateClassName()

  Return the class if any which this query is running on.

### getRepository

    public QueryMetaDataRepository getRepository()

  The repository this metadata belongs to.

### setRepository

    public void setRepository(QueryMetaDataRepository repos)

  The repository this metadata belongs to.

### getLanguage

    public String getLanguage()

  Return the query language.

### setLanguage

    public void setLanguage(String language)

  Set the language for this query.

### getIgnoreCache

    public Boolean getIgnoreCache()

  Corresponds to `Query.getIgnoreCache()`. Null means default.

### setIgnoreCache

    public void setIgnoreCache(boolean ignore)

  Corresponds to `Query.setIgnoreCache(boolean)`.

### getIncludeSubclasses

    public boolean getIncludeSubclasses()

  Return whether generated queries includes subclasses.

### setIncludeSubclasses

    public void setIncludeSubclasses(boolean include)

  Indicate whether queries generated should include subclasses.

### getQueryString

    public String getQueryString()

  The full query string, or null if none.

### setQueryString

    public void setQueryString(String query)

  The full query string, or null if none.

### getFilter

    public String getFilter()

  Return the filter for queries generated from this instance.

### setFilter

    public void setFilter(String filter)

  Set the query filter for queries generated from this instance.

### getOrdering

    public String getOrdering()

  Return the ordering string.

### setOrdering

    public void setOrdering(String ordering)

  Corresponds to `Query.setOrdering(java.lang.String)`.

### setRange

    public void setRange(long start,
                         long end)

  Corresponds to `Query#setRange`.

### getStartIndex

    public long getStartIndex()

  Return the start index for `Query`'s range.

### getEndIndex

    public long getEndIndex()

  Return the end index for `Query`'s range.

### getImports

    public String getImports()

  Return the import statement for generated Query instances.

### setImports

    public void setImports(String imports)

  Corresponds to `Query.declareImports(java.lang.String)`.

### getParameters

    public String getParameters()

  Return the parameters statement for generated Query instances.

### setParameters

    public void setParameters(String parameters)

  Corresponds to `Query.declareImports(java.lang.String)`.

### getVariables

    public String getVariables()

  Return the variables statement for generated Query instances.

### setVariables

    public void setVariables(String variables)

  Corresponds to `Query.declareImports(java.lang.String)`.

### getResult

    public String getResult()

  Return the result statement for the given Query.

### setResult

    public void setResult(String result)

  Corresponds to `Query#setResult`.

### getUnique

    public Boolean getUnique()

  Return whether the query expects unique results. Null means default.

### setUnique

    public void setUnique(boolean unique)

  Corresponds to `Query#setUnique`.

### getGrouping

    public String getGrouping()

  Return the grouping statement for the

### setGrouping

    public void setGrouping(String grouping)

  Corresponds to `Query#setGrouping`.

### getResultClass

    public Class getResultClass()

  Return the import statement for generated Query instances.

### setResultClass

    public void setResultClass(Class cls)

  Corresponds to `Query#setResultClass`.

### setInto

    public void setInto(KodoQuery query)

  Set query template information into the given concrete query instance. However, the language, query string, and candidate class are assumed to be declared in the query instantiation.

### setFrom

    public void setFrom(KodoQuery query)

  Initialize this instance from the values held in the specified `KodoQuery`.

### getSourceFile

    public File getSourceFile()

  Specified by:
    `getSourceFile` in interface `SourceTracker`

### getTrackedResourceName

    public String getTrackedResourceName()

  Specified by:
    `getTrackedResourceName` in interface `SourceTracker`

### setSourceFile

    public void setSourceFile(File file)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.